package com.ycwl.basic.config;

import com.ycwl.basic.storage.entity.AliOssStorageConfig;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;
import org.springframework.stereotype.Component;

/**
 * 阿里云OSS配置
 *
 * @author songmingsong
 **/
@Data
@Component
public class FaceDetectConfig {
    @Value("${aliFace.accessKeyId}")
    private String accessKeyId;
    @Value("${aliFace.accessKeySecret}")
    private String accessKeySecret;
    @Value("${aliFace.region}")
    private String region;
}
